Ecore_Psl1ght.h File Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
Ecore_Psl1ght.h File Reference

Ecore PSL1GHT system functions. More...

## Data Structures
struct | _Ecore_Psl1ght_Event_Key_Modifiers
| PSL1GHT Key Modifier event. More...
struct | _Ecore_Psl1ght_Event_Key_Down
| PSL1GHT Key Down event. More...
struct | _Ecore_Psl1ght_Event_Key_Up
| PSL1GHT Key Up event. More...
struct | _Ecore_Psl1ght_Event_Mouse_Button_Down
| PSL1GHT Mouse Down event. More...
struct | _Ecore_Psl1ght_Event_Mouse_Button_Up
| PSL1GHT Mouse Up event. More...
struct | _Ecore_Psl1ght_Event_Mouse_Move
| PSL1GHT Mouse Move event. More...
struct | _Ecore_Psl1ght_Event_Mouse_Wheel
| PSL1GHT Mouse Wheel event. More...

## Typedefs
typedef struct _Ecore_Psl1ght_Event_Key_Modifiers | Ecore_Psl1ght_Event_Key_Modifiers
typedef struct _Ecore_Psl1ght_Event_Key_Down | Ecore_Psl1ght_Event_Key_Down
typedef struct _Ecore_Psl1ght_Event_Key_Up | Ecore_Psl1ght_Event_Key_Up
typedef struct _Ecore_Psl1ght_Event_Mouse_Button_Down | Ecore_Psl1ght_Event_Mouse_Button_Down
typedef struct _Ecore_Psl1ght_Event_Mouse_Button_Up | Ecore_Psl1ght_Event_Mouse_Button_Up
typedef struct _Ecore_Psl1ght_Event_Mouse_Move | Ecore_Psl1ght_Event_Mouse_Move
typedef struct _Ecore_Psl1ght_Event_Mouse_Wheel | Ecore_Psl1ght_Event_Mouse_Wheel

## Functions
EAPI int | ecore_psl1ght_init (const char *name)
| Sets up the Ecore_Psl1ght library. More...
EAPI int | ecore_psl1ght_shutdown (void)
| Shuts down the Ecore_Psl1ght library. More...
EAPI void | ecore_psl1ght_resolution_set (int width, int height)
EAPI void | ecore_psl1ght_poll_events (void)
EAPI void | ecore_psl1ght_screen_resolution_get (int *w, int *h)
EAPI void | ecore_psl1ght_optimal_screen_resolution_get (int *w, int *h)

## Variables
EAPI int | ECORE_PSL1GHT_EVENT_KEY_MODIFIERS
EAPI int | ECORE_PSL1GHT_EVENT_GOT_FOCUS
EAPI int | ECORE_PSL1GHT_EVENT_LOST_FOCUS
EAPI int | ECORE_PSL1GHT_EVENT_EXPOSE
EAPI int | ECORE_PSL1GHT_EVENT_QUIT

## Detailed Description

Ecore PSL1GHT system functions.

## Function Documentation

EAPI int ecore_psl1ght_init | ( | const char * | name | ) |

Sets up the Ecore_Psl1ght library.

Parameters

  name | device target name

Returns
  `0` on failure. Otherwise, the number of times the library has been initialised without being shut down.

References ecore_event_init(), ecore_event_shutdown(), ecore_event_type_new(), eina_log_domain_register(), eina_log_domain_unregister(), and EINA_LOG_ERR.

EAPI int ecore_psl1ght_shutdown | ( | void |  | ) |

Shuts down the Ecore_Psl1ght library.

Returns
  `The` number of times the system has been initialised without being shut down.

References ecore_event_shutdown(), and eina_log_domain_unregister().